%define name Mail_stat
%define version 1.0.6
%define release 1

Summary: Mail_stat is a way to check youre maillogs from sendmail.
Name: %{name}
Version: %{version}
Release: 1
Copyright: GPL
Group: Networking/Utilities
BuildArchitectures: noarch
Url: http://crew5.com/annas/calles/
Vendor: Carl Olsen <calle@volvo.se>

Source: http://crew5.com/annas/calles/%{name}.tar
BuildRoot: %{_tmppath}/%{name}-root
Requires: perl

%description
Mail_stat.perl reads sendmail logs and prints them to the screen in a nice
order in which you can see to, from, amount, and size, to help you analyze
your mail traffic. At the end, it gives you a list of the total size of the
mail traffic and the average size for a message.

%prep
%setup -c

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/*.perl $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/perl5
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/*.pl $RPM_BUILD_ROOT%{_libdir}/perl5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*.perl
%{_libdir}/perl5/*.pl

%define mspllibs Mailhash.pl Pfrom.pl

%post
eval `perl '-V:installarchlib'`
for i in %{mspllibs}; do
	mv %{_libdir}/perl5/$i $installarchlib
done

%postun
if [ $1 = 0 ]; then
	eval `perl '-V:installarchlib'`
	for i in %{mspllibs}; do
		rm -f $installarchlib/$i
	done
fi

%changelog
* Fri Feb  2 2001 Peter Hanecak <hanecak@megaloman.sk>
[1.0.6-1]
- initial spec
